<div class="container">
  <div class="todos-add">
    <h1 ng-click="$ctrl.refreshPage()">{{ $ctrl.title }}</h1>
    <input ng-model="$ctrl.todoName" />
    <!-- ng-click passes input value to add() and then clears the input -->
    <button
      ng-click="$ctrl.add($ctrl.todoName); $ctrl.todoName=''"
      class="addBtn"
    >
      ADD
    </button>
  </div>

  <ul class="todos">
    <li class="liTodo" ng-repeat="todo in $ctrl.todos track by todo.id">
      <div class="todoContainer">
        <input
          class="listChbx"
          type="checkbox"
          ng-model="todo.done"
          ng-click="$ctrl.changeIsDone(todo, todo.id)"
        />
        <a
          ui-sref="detail({id: todo.id})"
          class="aTodo"
          ng-class="{'isDone': todo.done == true}"
        >
          <span class="badge">{{ $index + 1 + "." }}</span> {{ todo.name }}
          <span class="badge" ng-if="todo.time">&#9200</span>
          <span class="badge" ng-if="todo.description">&#128221</span>
        </a>
        <button class="delete" title="delete" ng-click="$ctrl.delete($index)">
          x
        </button>
      </div>
    </li>
  </ul>
</div>
